#
# spec file for package switchboard-plug-sharing
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.settings.sharing
Name:           switchboard-plug-sharing
Version:        8.0.1
Release:        1.2
Summary:        Configure the sharing of system services
License:        GPL-3.0-or-later
Group:          System/GUI/Other
URL:            https://github.com/elementary/switchboard-plug-sharing
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite-7)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(switchboard-3)
Requires:       switchboard

%description
Switchboard plug for controlling media sharing.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appid}
%fdupes %{buildroot}/%{_datadir}

%files
%license COPYING
%doc README.md
%dir %{_libdir}/{switchboard-3,switchboard-3/network}
%{_libdir}/switchboard-3/network/lib%{appid}.so
%{_datadir}/metainfo/%{appid}.metainfo.xml

%files lang -f %{appid}.lang

%changelog
* Fri Dec 13 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.1:
  * Sidebar position is now remembered
  * Updated translations
* Tue Nov 12 2024 Richard Rahl <rrahl0@opensuse.org>
- Require switchboard at runtime
* Fri Aug  9 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.0:
  * Bluetooth sharing options
  * Updated translations
- update to 2.1.6:
  * Updated translations
- update to 2.1.5:
  * Updated translations
- update to 2.1.4:
  * Updated translations
- switch url to github, as we don't want to link to a different OS
* Thu Nov  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Add regex for filtering provided libraries
* Wed Oct 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.3:
  * Plug search improvements (#29)
  * Merge branch 'origin/master' into Weblate
  * Meson: Use GLib preset for l10n
  * Added screenshot (#31)
  * Fix network link (#30)
* Mon Jun 11 2018 avvissu@yandex.by
- Update to 0.1.2
* Sat Jun  9 2018 avvissu@yandex.by
- Switch to github
- Switch to meson
- Drop bluetooth-gtk-3.18.patch
- Add COPYING and README files
- Spec file cleanup
* Tue Feb  7 2017 avvissu@yandex.by
- Update to 0.1.1
* Fri Sep  2 2016 avvissu@yandex.by
- Update to stable release 0.1
- Remove ObexPush support (bluetooth-gtk-3.18.patch)
* Thu Aug  4 2016 avvissu@yandex.by
- Initial package of version 0.1.0+bzr.90
